html {
    box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit;
}
/* need to be fixed for the printed page to look decent */
@media print {
    @page {
        size: A4;
    }
}

@media only screen and (max-width: 1400px) {
    body {
        font-size: 35px;
    }
}
#spinner-div {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 2;
}
@media (max-width: 1000px) {
    html {
        font-size: 25px;
    }
}

@media (max-width: 650px) {
    html {
        font-size: 18px;
    }
}

.checkboxSendData {
    display: table-cell;
    vertical-align: middle;
    text-align: start;
}

.checkboxSendDataElement {
    display: inline-block;
}



.mainContainer {
    height: 100vh;
    text-align: start;
    width: auto;
    margin-left: 20%;
    margin-right: 20%;
    padding-block: min(20vh, 10 rem);
    min-width: 18rem;
}

#title {
    font-size: 3rem;
    color: black;
    background-color: #cbbca8;
    pad: 0px;
    text-align: center;
    grid-area: title;
    min-width: 18rem;
}

#rightsArea {
    grid-area: rightsArea;
    width: auto;
    min-width: 18rem;
}

#intructionArea {
    grid-area: intructionArea;
    width: auto;
    min-width: 18rem;
}

#section1 {
    grid-area: section1;
}

#section2 {
    grid-area: section2;
}

#section3 {
    grid-area: section3;
}

#section4 {
    grid-area: section4;
}

#section5 {
    grid-area: section5;
}

#section6 {
    grid-area: section6;
}

#section7 {
    grid-area: section7;
}

#section8 {
    grid-area: section8;
}

#section9 {
    grid-area: section9;
}

#section10 {
    grid-area: section10;
}

#footer {
    grid-area: footer;
}

#DSARForm {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
    grid-template-areas: "title title" "rightsArea rightsArea" "intructionArea intructionArea" "section1 section2" "section3 section3" "section4 section4" "section5 section5" "section6 section6" "section7 section7" "section8 section8" "section9 section9" "section10 section10" "footer footer";
}

.sectionGroup {
    padding: 0%;
    font-size: 1rem;
    overflow: hidden;
}

.mainContainer fieldset {
    padding: 0.5rem;
}

.sectionTitle {
    padding-block: 0.6rem;
}

#userNameLabel {
    min-width: 18rem;
}

#userBirthDateLabel {
    min-width: 18rem;
}

#DSARForm input[type=text], input[type=tel], input[type=date] {
    background: transparent;
    border: 1px;
    border-bottom: 1px solid #000000;
}

.phoneNumberSelector {
    width: 13rem;
    min-width: 13rem;
    font-size: 0.8rem;
}

.sectionTitle {
    /* background-color: rgb(210, 196, 180); */
    font-size: 1.4rem;
    margin: 0vh;
}

.instructionArea {
    font-size: 1rem;
    padding-left: 0.3rem;
}

.checkoption {
    font-size: 1rem;
}

.subjectPhoneNumbers {
    display: grid;
}

    .subjectPhoneNumbers label {
        padding-bottom: 0.6rem;
    }

.subjectPhoneNumbersParent {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
}



.error {
    width: 100%;
    padding: 0;
    font-size: 80%;
    color: white;
    background-color: #900;
    border-radius: 0 0 5px 5px;
    box-sizing: border-box;
}

    .error.active {
        padding: 0.3em;
    }

#DSARForm fieldset {
    border: 0;
}

/* Only instance not using id or class */
fieldset input:not([type=checkbox]) {
    font-size: 1rem;
    width: 100%;
    word-wrap: break-word;
    word-break: break-all;
}

.authorizedPerson {
    max-width: 20rem;
}

.dataRequestDetails {
    width: 100%;
    height: 100%;
}

.phoneNumberType {
    font-size: small;
    margin-bottom: 0%;
    margin-top: 1%;
    padding-left: 1px;
}

#printBtn {
    cursor: pointer;
    float: right;
    margin-right: 2rem;
    width: 10rem;
    height: 2rem;
}

#submitBtn {
    float: none;
    transition: all 0.5s;
    cursor: pointer;
    padding: 0.2rem;
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
    font-size: medium;
    width: 14rem;
    height: 3rem;
    opacity: 0.9;
    font-weight: bold;
}

    #submitBtn span {
        text-align: center;
        cursor: pointer;
        display: inline-block;
        position: relative;
        transition: 0.5s;
    }

        #submitBtn span:after {
            content: '\00bb';
            position: absolute;
            opacity: 0;
            top: 0;
            right: -20px;
            transition: 0.5s;
        }

    #submitBtn:hover {
        opacity: 1;
    }

        #submitBtn:hover span {
            padding-right: 25px;
        }

            #submitBtn:hover span:after {
                opacity: 1;
                right: 0;
            }

/* input:invalid {
    border: 1px solid red;
}

input:valid {
    border: 1px solid greenyellow;
} */
